from setuptools import setup

setup(name='cdplib',
      version='0.1',
      description='Libraries shared by cdp projects',
      url='https://intra.acdp.at/gogs/tanja/cdplib.git',
      author='Tatiana Zolotareva',
      author_email='tanja.zolotareva@acdp.at',
      install_requires=['numpy'],
      license='MIT',
      packages=['cdplib'],
      zip_safe=False)


import pandas as pd

cols = ['_projectid', '_teacher_acctid', '_schoolid', 'school_ncesid', 'school_latitude', 
        'school_longitude', 'school_city', 'school_state', 'school_zip', 'school_metro', 
        'school_district', 'school_county', 'school_charter', 'school_magnet', 'school_year_round', 
        'school_nlns', 'school_kipp', 'school_charter_ready_promise', 'teacher_prefix', 
        'teacher_teach_for_america', 'teacher_ny_teaching_fellow', 'primary_focus_subject', 
        'primary_focus_area' ,'secondary_focus_subject', 'secondary_focus_area', 'resource_type', 'poverty_level', 
        'grade_level', 'vendor_shipping_charges', 'sales_tax', 'payment_processing_charges', 'fulfillment_labor_materials', 
        'total_price_excluding_optional_support', 'total_price_including_optional_support', 'students_reached', 
        'total_donations', 'num_donors', 'eligible_double_your_impact_match', 'eligible_almost_home_match', 
        'funding_status', 'date_posted', 'date_completed', 'date_thank_you_packet_mailed', 'date_expiration']
projects = pd.read_csv('/home/tanya/Downloads/opendata_projects000.csv', escapechar='\\', names=cols)

projects.shape
